apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: {{ .Release.Name }}-argo-workflows-controller-network-policy
spec:
  podSelector:
    matchLabels:
      app.kubernetes.io/component: workflow-controller
      app.kubernetes.io/part-of: argo-workflows
  policyTypes:
    - Ingress
    - Egress
  # TODO: EDTBUC-2040
  egress:
    - {}
